> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voyantcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create List

> Create a new marketing list for subscriber management.

## Method

`POST` `/v1/comms/lists`

## Headers

<ParamField header="Authorization" type="string" required>Bearer token (requires `comms:write`).</ParamField>
<ParamField header="Content-Type" type="string" required>`application/json`</ParamField>

## Body Parameters

<ParamField body="name" type="string" required>Name of the list (max 255 characters).</ParamField>
<ParamField body="description" type="string">Optional description (max 1000 characters).</ParamField>
<ParamField body="source" type="string">Source of the list: `manual`, `import`, `signup_form`, `api`. Defaults to `manual`.</ParamField>
<ParamField body="doubleOptIn" type="boolean">Enable double opt-in for new subscribers. Defaults to `false`.</ParamField>

## Request Example

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://api.voyantcloud.com/v1/comms/lists" \
    -H "Authorization: Bearer $VOYANT_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Newsletter Subscribers",
      "description": "Main newsletter list",
      "doubleOptIn": true
    }'
  ```

  ```javascript Node.js theme={null}
  const res = await fetch("https://api.voyantcloud.com/v1/comms/lists", {
    method: "POST",
    headers: {
      Authorization: `Bearer ${process.env.VOYANT_API_KEY}`,
      "Content-Type": "application/json",
    },
    body: JSON.stringify({
      name: "Newsletter Subscribers",
      description: "Main newsletter list",
      doubleOptIn: true,
    }),
  })
  const list = await res.json()
  ```

  ```python Python theme={null}
  import os, requests

  resp = requests.post(
    "https://api.voyantcloud.com/v1/comms/lists",
    json={
      "name": "Newsletter Subscribers",
      "description": "Main newsletter list",
      "doubleOptIn": True,
    },
    headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}"},
  )
  list_data = resp.json()
  ```
</RequestExample>

## Response Example

<ResponseExample>
  ```json 201 Created theme={null}
  {
    "id": "lists_01J0CBFPXW7SP2N8A9Q7T2048Q",
    "workspace_id": "workspaces_01HZYPM2QF2R8X9SZQ0J9SYBCN",
    "name": "Newsletter Subscribers",
    "description": "Main newsletter list",
    "source": "manual",
    "double_opt_in": true,
    "member_count": 0,
    "created_at": "2025-01-08T10:22:31.000Z",
    "updated_at": "2025-01-08T10:22:31.000Z"
  }
  ```
</ResponseExample>
